{% extends 'base.html.twig' %}

{% block bodyHeader %}
    <a href="{{ path('post_new') }}" class="btn btn-success btn-sm">Ajouter un article</a>
{% endblock %}

{% block body %}
    <div class="card card-dark">
        <div class="card-content">
            <div class="card-header text-light">
                <h1>Liste des articles</h1>
            </div>
            <div class="card-body">
                <table class="table table-dark table-borderless">
                    <thead class="border-bottom">
                    <tr>
                        <th>Titre</th>
                        <th>Auteur</th>
                        <th class="col-2 text-center">Date de parution</th>
                        <th class="col-2 text-center">Date de modification</th>
                        <th class="col-2"></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for post in posts %}
                        <tr>
                            <td class="align-middle">
                                <a href="{{ path('post_show', {id: post.id}) }}" class="text-light">
                                    {{ post.mainTitle }}
                                </a>
                            </td>
                            <td class="align-middle">
                                {{ post.user.username }}
                            </td>
                            <td class="text-center align-middle">
                                {{ post.createdAt ? post.createdAt|date('d/m/Y') }}
                            </td>
                            <td class="text-center align-middle">
                                {{ post.updatedAt ? post.updatedAt|date('d/m/Y') : '--' }}
                            </td>
                            <td class="text-right align-middle">
                                <a href="{{ path('post_edit', {id: post.id}) }}" class="btn btn-warning btn-sm">
                                    Modifier
                                </a>
                                <a href="{{ path('admin_post_delete', {id: post.id}) }}" class="btn btn-danger btn-sm">
                                    Supprimer
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}